package com.lovecoding.day21.file02;

import org.junit.Test;

import java.io.*;

public class TestFileinput01 {

    //- `public void write(int b)` ：将指定的字节输出流。虽然参数为int类型四个字节，但是只会保留一个字节的信息写出。
    //- `public void write(byte[] b)`：将 b.length字节从指定的字节数组写入此输出流。
    //- `public void write(byte[] b, int off, int len)` ：从指定的字节数组写入 len字节，从偏移量 off开始输出到此输出流。
    //- `public void flush() ` ：刷新此输出流并强制任何缓冲的输出字节被写出。
    //- `public void close()` ：关闭此输出流并释放与此流相关联的任何系统资源。
    @Test
    public void test04() throws Exception {
        //File 构建
        FileOutputStream fis1 = new FileOutputStream(new File("aaa.txt"));

        //write
        byte[] bytes = "abcd".getBytes();
        fis1.write(bytes,0,2);

        //释放
        fis1.close();

    }

    @Test
    public void test03() throws Exception {
        //File 构建
        FileOutputStream fis1 = new FileOutputStream(new File("aaa.txt"));

        //write
        byte[] bytes = "abcd".getBytes();
        fis1.write(bytes);

        //释放
        fis1.close();

    }

    @Test
    public void test02() throws Exception {
        //File 构建
        FileOutputStream fis1 = new FileOutputStream(new File("aaa.txt"));

        //write
        fis1.write(97); //a = 97
        fis1.write(98);
        fis1.write(99);

        //释放
        fis1.close();

    }

    //构造方法
    @Test
    public void test01() throws FileNotFoundException {
        //File 构建
        FileOutputStream fis1 = new FileOutputStream(new File("aaa.txt"));
        //字符串
        FileOutputStream fis2 = new FileOutputStream("bbb.txt");

    }
}
